#ifndef KXR94_2050_H
#define KXR94_2050_H
 
#include "mbed.h"
#define PI  3.1415926535
 
class KXR94_2050 {
public:
    KXR94_2050(PinName OutX, PinName OutY, PinName OutZ);
    void setZeroVal(uint16_t x_zero, uint16_t y_zero, uint16_t z_zero);
    void getRawData(float *pitch, float *roll); // degree data
    
private:
    AnalogIn _OutX, _OutY, _OutZ;
    int _mean_average_num;
    
    uint16_t X_ZERO_VAL;
    uint16_t Y_ZERO_VAL;
    uint16_t Z_ZERO_VAL;
};
 
#endif